import argparse
import math
import random

if __name__ == '__main__':
    parser = argparse.ArgumentParser()

    parser.add_argument('--lr', type=float, default=20, help='initial learning rate')
    parser.add_argument('--epochs', type=int, default=100, help='upper epoch limit')
    parser.add_argument('--batch_size', type=int, default=16, help='batch size')
    parser.add_argument('--sequence_length', type=int, default=32, help='sequence length')
    parser.add_argument('--dimension_model', type=int, default=128, help='size of word embeddings')
    parser.add_argument('--nhead', type=int, default=4,  help='the number of heads in the encoder/decoder of the transformer model')
    parser.add_argument('--dropout', type=float, default=0.2, help='dropout applied to layers (0 = no dropout)')
    parser.add_argument('--nhid', type=int, default=200, help='number of hidden units per layer')
    parser.add_argument('--nlayers', type=int, default=2, help='number of layers')

    test_loss = random.uniform(0.0, 15.0)
    print('| End of training | test loss {:5.2f} | test ppl {:8.2f}'.format(test_loss, math.exp(test_loss)))
